Index: branches/ScopedBasicAlgorithm/HeuristicLab.Optimization.Views/3.3/HeuristicLab.Optimization.Views-3.3.csproj
===================================================================
--- branches/ScopedBasicAlgorithm/HeuristicLab.Optimization.Views/3.3/HeuristicLab.Optimization.Views-3.3.csproj	(revision 14419)
+++ branches/ScopedBasicAlgorithm/HeuristicLab.Optimization.Views/3.3/HeuristicLab.Optimization.Views-3.3.csproj	(revision 14420)
@@ -459,4 +459,7 @@
       <DependentUpon>CreateNewSingleEncodingDialog.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="RunCollectionViews\RunCollectionRLDView.resx">
+      <DependentUpon>RunCollectionRLDView.cs</DependentUpon>
+    </EmbeddedResource>
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: branches/ScopedBasicAlgorithm/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionRLDView.Designer.cs
===================================================================
--- branches/ScopedBasicAlgorithm/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionRLDView.Designer.cs	(revision 14419)
+++ branches/ScopedBasicAlgorithm/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionRLDView.Designer.cs	(revision 14420)
@@ -44,400 +44,400 @@
     /// </summary>
     private void InitializeComponent() {
-      this.components = new System.ComponentModel.Container();
-      System.Windows.Forms.DataVisualization.Charting.ChartArea chartArea1 = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
-      System.Windows.Forms.DataVisualization.Charting.Legend legend1 = new System.Windows.Forms.DataVisualization.Charting.Legend();
-      this.dataTableComboBox = new System.Windows.Forms.ComboBox();
-      this.dataTableLabel = new System.Windows.Forms.Label();
-      this.groupLabel = new System.Windows.Forms.Label();
-      this.groupComboBox = new System.Windows.Forms.ComboBox();
-      this.targetLogScalingCheckBox = new System.Windows.Forms.CheckBox();
-      this.targetsTextBox = new System.Windows.Forms.TextBox();
-      this.targetsLabel = new System.Windows.Forms.Label();
-      this.errorProvider = new System.Windows.Forms.ErrorProvider(this.components);
-      this.addTargetsAsResultButton = new System.Windows.Forms.Button();
-      this.generateTargetsButton = new System.Windows.Forms.Button();
-      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
-      this.budgetsLabel = new System.Windows.Forms.Label();
-      this.budgetsTextBox = new System.Windows.Forms.TextBox();
-      this.addBudgetsAsResultButton = new System.Windows.Forms.Button();
-      this.aggregateTargetsCheckBox = new System.Windows.Forms.CheckBox();
-      this.tabControl = new System.Windows.Forms.TabControl();
-      this.byTargetTabPage = new System.Windows.Forms.TabPage();
-      this.targetChart = new HeuristicLab.Visualization.ChartControlsExtensions.EnhancedChart();
-      this.boundShadingCheckBox = new System.Windows.Forms.CheckBox();
-      this.byCostTabPage = new System.Windows.Forms.TabPage();
-      this.byCostViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.budgetLogScalingCheckBox = new System.Windows.Forms.CheckBox();
-      this.eachOrAllBudgetsCheckBox = new System.Windows.Forms.CheckBox();
-      this.generateBudgetsButton = new System.Windows.Forms.Button();
-      this.byTableTabPage = new System.Windows.Forms.TabPage();
-      this.ertTableView = new HeuristicLab.Data.Views.StringConvertibleMatrixView();
-      this.problemComboBox = new System.Windows.Forms.ComboBox();
-      this.problemLabel = new System.Windows.Forms.Label();
-      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
-      this.tabControl.SuspendLayout();
-      this.byTargetTabPage.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.targetChart)).BeginInit();
-      this.byCostTabPage.SuspendLayout();
-      this.byTableTabPage.SuspendLayout();
-      this.SuspendLayout();
-      // 
-      // dataTableComboBox
-      // 
-      this.dataTableComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.dataTableComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-      this.dataTableComboBox.FormattingEnabled = true;
-      this.dataTableComboBox.Location = new System.Drawing.Point(69, 57);
-      this.dataTableComboBox.Name = "dataTableComboBox";
-      this.dataTableComboBox.Size = new System.Drawing.Size(582, 21);
-      this.dataTableComboBox.TabIndex = 5;
-      this.dataTableComboBox.SelectedIndexChanged += new System.EventHandler(this.dataTableComboBox_SelectedIndexChanged);
-      // 
-      // dataTableLabel
-      // 
-      this.dataTableLabel.AutoSize = true;
-      this.dataTableLabel.Location = new System.Drawing.Point(3, 60);
-      this.dataTableLabel.Name = "dataTableLabel";
-      this.dataTableLabel.Size = new System.Drawing.Size(60, 13);
-      this.dataTableLabel.TabIndex = 4;
-      this.dataTableLabel.Text = "DataTable:";
-      // 
-      // groupLabel
-      // 
-      this.groupLabel.AutoSize = true;
-      this.groupLabel.Location = new System.Drawing.Point(3, 6);
-      this.groupLabel.Name = "groupLabel";
-      this.groupLabel.Size = new System.Drawing.Size(39, 13);
-      this.groupLabel.TabIndex = 0;
-      this.groupLabel.Text = "Group:";
-      // 
-      // groupComboBox
-      // 
-      this.groupComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.groupComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-      this.groupComboBox.FormattingEnabled = true;
-      this.groupComboBox.Location = new System.Drawing.Point(69, 3);
-      this.groupComboBox.Name = "groupComboBox";
-      this.groupComboBox.Size = new System.Drawing.Size(582, 21);
-      this.groupComboBox.TabIndex = 1;
-      this.groupComboBox.SelectedIndexChanged += new System.EventHandler(this.groupComboBox_SelectedIndexChanged);
-      // 
-      // targetLogScalingCheckBox
-      // 
-      this.targetLogScalingCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.targetLogScalingCheckBox.AutoSize = true;
-      this.targetLogScalingCheckBox.Location = new System.Drawing.Point(9, 364);
-      this.targetLogScalingCheckBox.Name = "targetLogScalingCheckBox";
-      this.targetLogScalingCheckBox.Size = new System.Drawing.Size(112, 17);
-      this.targetLogScalingCheckBox.TabIndex = 6;
-      this.targetLogScalingCheckBox.Text = "logarithmic scaling";
-      this.targetLogScalingCheckBox.UseVisualStyleBackColor = true;
-      this.targetLogScalingCheckBox.CheckedChanged += new System.EventHandler(this.logScalingCheckBox_CheckedChanged);
-      // 
-      // targetsTextBox
-      // 
-      this.targetsTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.targetsTextBox.Location = new System.Drawing.Point(59, 8);
-      this.targetsTextBox.Name = "targetsTextBox";
-      this.targetsTextBox.Size = new System.Drawing.Size(287, 20);
-      this.targetsTextBox.TabIndex = 1;
-      this.toolTip.SetToolTip(this.targetsTextBox, "The order of the targets is important, first to-hit targets\r\nshould be given firs" +
+            this.components = new System.ComponentModel.Container();
+            System.Windows.Forms.DataVisualization.Charting.ChartArea chartArea2 = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
+            System.Windows.Forms.DataVisualization.Charting.Legend legend2 = new System.Windows.Forms.DataVisualization.Charting.Legend();
+            this.dataTableComboBox = new System.Windows.Forms.ComboBox();
+            this.dataTableLabel = new System.Windows.Forms.Label();
+            this.groupLabel = new System.Windows.Forms.Label();
+            this.groupComboBox = new System.Windows.Forms.ComboBox();
+            this.targetLogScalingCheckBox = new System.Windows.Forms.CheckBox();
+            this.targetsTextBox = new System.Windows.Forms.TextBox();
+            this.targetsLabel = new System.Windows.Forms.Label();
+            this.errorProvider = new System.Windows.Forms.ErrorProvider(this.components);
+            this.addTargetsAsResultButton = new System.Windows.Forms.Button();
+            this.generateTargetsButton = new System.Windows.Forms.Button();
+            this.toolTip = new System.Windows.Forms.ToolTip(this.components);
+            this.budgetsLabel = new System.Windows.Forms.Label();
+            this.budgetsTextBox = new System.Windows.Forms.TextBox();
+            this.addBudgetsAsResultButton = new System.Windows.Forms.Button();
+            this.aggregateTargetsCheckBox = new System.Windows.Forms.CheckBox();
+            this.tabControl = new System.Windows.Forms.TabControl();
+            this.byTargetTabPage = new System.Windows.Forms.TabPage();
+            this.targetChart = new HeuristicLab.Visualization.ChartControlsExtensions.EnhancedChart();
+            this.boundShadingCheckBox = new System.Windows.Forms.CheckBox();
+            this.byCostTabPage = new System.Windows.Forms.TabPage();
+            this.byCostViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
+            this.budgetLogScalingCheckBox = new System.Windows.Forms.CheckBox();
+            this.eachOrAllBudgetsCheckBox = new System.Windows.Forms.CheckBox();
+            this.generateBudgetsButton = new System.Windows.Forms.Button();
+            this.byTableTabPage = new System.Windows.Forms.TabPage();
+            this.ertTableView = new HeuristicLab.Data.Views.StringConvertibleMatrixView();
+            this.problemComboBox = new System.Windows.Forms.ComboBox();
+            this.problemLabel = new System.Windows.Forms.Label();
+            ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
+            this.tabControl.SuspendLayout();
+            this.byTargetTabPage.SuspendLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.targetChart)).BeginInit();
+            this.byCostTabPage.SuspendLayout();
+            this.byTableTabPage.SuspendLayout();
+            this.SuspendLayout();
+            // 
+            // dataTableComboBox
+            // 
+            this.dataTableComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.dataTableComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.dataTableComboBox.FormattingEnabled = true;
+            this.dataTableComboBox.Location = new System.Drawing.Point(69, 57);
+            this.dataTableComboBox.Name = "dataTableComboBox";
+            this.dataTableComboBox.Size = new System.Drawing.Size(582, 21);
+            this.dataTableComboBox.TabIndex = 5;
+            this.dataTableComboBox.SelectedIndexChanged += new System.EventHandler(this.dataTableComboBox_SelectedIndexChanged);
+            // 
+            // dataTableLabel
+            // 
+            this.dataTableLabel.AutoSize = true;
+            this.dataTableLabel.Location = new System.Drawing.Point(3, 60);
+            this.dataTableLabel.Name = "dataTableLabel";
+            this.dataTableLabel.Size = new System.Drawing.Size(60, 13);
+            this.dataTableLabel.TabIndex = 4;
+            this.dataTableLabel.Text = "DataTable:";
+            // 
+            // groupLabel
+            // 
+            this.groupLabel.AutoSize = true;
+            this.groupLabel.Location = new System.Drawing.Point(3, 6);
+            this.groupLabel.Name = "groupLabel";
+            this.groupLabel.Size = new System.Drawing.Size(39, 13);
+            this.groupLabel.TabIndex = 0;
+            this.groupLabel.Text = "Group:";
+            // 
+            // groupComboBox
+            // 
+            this.groupComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.groupComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.groupComboBox.FormattingEnabled = true;
+            this.groupComboBox.Location = new System.Drawing.Point(69, 3);
+            this.groupComboBox.Name = "groupComboBox";
+            this.groupComboBox.Size = new System.Drawing.Size(582, 21);
+            this.groupComboBox.TabIndex = 1;
+            this.groupComboBox.SelectedIndexChanged += new System.EventHandler(this.groupComboBox_SelectedIndexChanged);
+            // 
+            // targetLogScalingCheckBox
+            // 
+            this.targetLogScalingCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.targetLogScalingCheckBox.AutoSize = true;
+            this.targetLogScalingCheckBox.Location = new System.Drawing.Point(9, 364);
+            this.targetLogScalingCheckBox.Name = "targetLogScalingCheckBox";
+            this.targetLogScalingCheckBox.Size = new System.Drawing.Size(112, 17);
+            this.targetLogScalingCheckBox.TabIndex = 6;
+            this.targetLogScalingCheckBox.Text = "logarithmic scaling";
+            this.targetLogScalingCheckBox.UseVisualStyleBackColor = true;
+            this.targetLogScalingCheckBox.CheckedChanged += new System.EventHandler(this.logScalingCheckBox_CheckedChanged);
+            // 
+            // targetsTextBox
+            // 
+            this.targetsTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.targetsTextBox.Location = new System.Drawing.Point(59, 8);
+            this.targetsTextBox.Name = "targetsTextBox";
+            this.targetsTextBox.Size = new System.Drawing.Size(287, 20);
+            this.targetsTextBox.TabIndex = 1;
+            this.toolTip.SetToolTip(this.targetsTextBox, "The order of the targets is important, first to-hit targets\r\nshould be given firs" +
         "t. The sequence should be monotonous.\r\n\r\nTargets should be separated by semicolo" +
         "n, tab or space.");
-      this.targetsTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.targetsTextBox_Validating);
-      // 
-      // targetsLabel
-      // 
-      this.targetsLabel.AutoSize = true;
-      this.targetsLabel.Location = new System.Drawing.Point(6, 11);
-      this.targetsLabel.Name = "targetsLabel";
-      this.targetsLabel.Size = new System.Drawing.Size(46, 13);
-      this.targetsLabel.TabIndex = 0;
-      this.targetsLabel.Text = "Targets:";
-      // 
-      // errorProvider
-      // 
-      this.errorProvider.ContainerControl = this;
-      // 
-      // addTargetsAsResultButton
-      // 
-      this.addTargetsAsResultButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.addTargetsAsResultButton.Location = new System.Drawing.Point(551, 6);
-      this.addTargetsAsResultButton.Name = "addTargetsAsResultButton";
-      this.addTargetsAsResultButton.Size = new System.Drawing.Size(89, 23);
-      this.addTargetsAsResultButton.TabIndex = 4;
-      this.addTargetsAsResultButton.Text = "Add as Result";
-      this.addTargetsAsResultButton.UseVisualStyleBackColor = true;
-      this.addTargetsAsResultButton.Click += new System.EventHandler(this.addTargetsAsResultButton_Click);
-      // 
-      // generateTargetsButton
-      // 
-      this.generateTargetsButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.generateTargetsButton.Location = new System.Drawing.Point(456, 6);
-      this.generateTargetsButton.Name = "generateTargetsButton";
-      this.generateTargetsButton.Size = new System.Drawing.Size(89, 23);
-      this.generateTargetsButton.TabIndex = 3;
-      this.generateTargetsButton.Text = "Generate...";
-      this.generateTargetsButton.UseVisualStyleBackColor = true;
-      this.generateTargetsButton.Click += new System.EventHandler(this.generateTargetsButton_Click);
-      // 
-      // budgetsLabel
-      // 
-      this.budgetsLabel.AutoSize = true;
-      this.budgetsLabel.Location = new System.Drawing.Point(6, 11);
-      this.budgetsLabel.Name = "budgetsLabel";
-      this.budgetsLabel.Size = new System.Drawing.Size(49, 13);
-      this.budgetsLabel.TabIndex = 1;
-      this.budgetsLabel.Text = "Budgets:";
-      // 
-      // budgetsTextBox
-      // 
-      this.budgetsTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.budgetsTextBox.Location = new System.Drawing.Point(59, 8);
-      this.budgetsTextBox.Name = "budgetsTextBox";
-      this.budgetsTextBox.Size = new System.Drawing.Size(326, 20);
-      this.budgetsTextBox.TabIndex = 6;
-      this.budgetsTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.budgetsTextBox_Validating);
-      // 
-      // addBudgetsAsResultButton
-      // 
-      this.addBudgetsAsResultButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.addBudgetsAsResultButton.Location = new System.Drawing.Point(551, 6);
-      this.addBudgetsAsResultButton.Name = "addBudgetsAsResultButton";
-      this.addBudgetsAsResultButton.Size = new System.Drawing.Size(89, 23);
-      this.addBudgetsAsResultButton.TabIndex = 7;
-      this.addBudgetsAsResultButton.Text = "Add as Result";
-      this.addBudgetsAsResultButton.UseVisualStyleBackColor = true;
-      this.addBudgetsAsResultButton.Click += new System.EventHandler(this.addBudgetsAsResultButton_Click);
-      // 
-      // aggregateTargetsCheckBox
-      // 
-      this.aggregateTargetsCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.aggregateTargetsCheckBox.AutoSize = true;
-      this.aggregateTargetsCheckBox.Checked = true;
-      this.aggregateTargetsCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
-      this.aggregateTargetsCheckBox.Location = new System.Drawing.Point(352, 10);
-      this.aggregateTargetsCheckBox.Name = "aggregateTargetsCheckBox";
-      this.aggregateTargetsCheckBox.Size = new System.Drawing.Size(74, 17);
-      this.aggregateTargetsCheckBox.TabIndex = 2;
-      this.aggregateTargetsCheckBox.Text = "aggregate";
-      this.aggregateTargetsCheckBox.UseVisualStyleBackColor = true;
-      this.aggregateTargetsCheckBox.CheckedChanged += new System.EventHandler(this.aggregateTargetsCheckBox_CheckedChanged);
-      // 
-      // tabControl
-      // 
-      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            this.targetsTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.targetsTextBox_Validating);
+            // 
+            // targetsLabel
+            // 
+            this.targetsLabel.AutoSize = true;
+            this.targetsLabel.Location = new System.Drawing.Point(6, 11);
+            this.targetsLabel.Name = "targetsLabel";
+            this.targetsLabel.Size = new System.Drawing.Size(46, 13);
+            this.targetsLabel.TabIndex = 0;
+            this.targetsLabel.Text = "Targets:";
+            // 
+            // errorProvider
+            // 
+            this.errorProvider.ContainerControl = this;
+            // 
+            // addTargetsAsResultButton
+            // 
+            this.addTargetsAsResultButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+            this.addTargetsAsResultButton.Location = new System.Drawing.Point(551, 6);
+            this.addTargetsAsResultButton.Name = "addTargetsAsResultButton";
+            this.addTargetsAsResultButton.Size = new System.Drawing.Size(89, 23);
+            this.addTargetsAsResultButton.TabIndex = 4;
+            this.addTargetsAsResultButton.Text = "Add as Result";
+            this.addTargetsAsResultButton.UseVisualStyleBackColor = true;
+            this.addTargetsAsResultButton.Click += new System.EventHandler(this.addTargetsAsResultButton_Click);
+            // 
+            // generateTargetsButton
+            // 
+            this.generateTargetsButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+            this.generateTargetsButton.Location = new System.Drawing.Point(456, 6);
+            this.generateTargetsButton.Name = "generateTargetsButton";
+            this.generateTargetsButton.Size = new System.Drawing.Size(89, 23);
+            this.generateTargetsButton.TabIndex = 3;
+            this.generateTargetsButton.Text = "Generate...";
+            this.generateTargetsButton.UseVisualStyleBackColor = true;
+            this.generateTargetsButton.Click += new System.EventHandler(this.generateTargetsButton_Click);
+            // 
+            // budgetsLabel
+            // 
+            this.budgetsLabel.AutoSize = true;
+            this.budgetsLabel.Location = new System.Drawing.Point(6, 11);
+            this.budgetsLabel.Name = "budgetsLabel";
+            this.budgetsLabel.Size = new System.Drawing.Size(49, 13);
+            this.budgetsLabel.TabIndex = 1;
+            this.budgetsLabel.Text = "Budgets:";
+            // 
+            // budgetsTextBox
+            // 
+            this.budgetsTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.budgetsTextBox.Location = new System.Drawing.Point(59, 8);
+            this.budgetsTextBox.Name = "budgetsTextBox";
+            this.budgetsTextBox.Size = new System.Drawing.Size(326, 20);
+            this.budgetsTextBox.TabIndex = 6;
+            this.budgetsTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.budgetsTextBox_Validating);
+            // 
+            // addBudgetsAsResultButton
+            // 
+            this.addBudgetsAsResultButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+            this.addBudgetsAsResultButton.Location = new System.Drawing.Point(551, 6);
+            this.addBudgetsAsResultButton.Name = "addBudgetsAsResultButton";
+            this.addBudgetsAsResultButton.Size = new System.Drawing.Size(89, 23);
+            this.addBudgetsAsResultButton.TabIndex = 7;
+            this.addBudgetsAsResultButton.Text = "Add as Result";
+            this.addBudgetsAsResultButton.UseVisualStyleBackColor = true;
+            this.addBudgetsAsResultButton.Click += new System.EventHandler(this.addBudgetsAsResultButton_Click);
+            // 
+            // aggregateTargetsCheckBox
+            // 
+            this.aggregateTargetsCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+            this.aggregateTargetsCheckBox.AutoSize = true;
+            this.aggregateTargetsCheckBox.Checked = true;
+            this.aggregateTargetsCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
+            this.aggregateTargetsCheckBox.Location = new System.Drawing.Point(352, 10);
+            this.aggregateTargetsCheckBox.Name = "aggregateTargetsCheckBox";
+            this.aggregateTargetsCheckBox.Size = new System.Drawing.Size(74, 17);
+            this.aggregateTargetsCheckBox.TabIndex = 2;
+            this.aggregateTargetsCheckBox.Text = "aggregate";
+            this.aggregateTargetsCheckBox.UseVisualStyleBackColor = true;
+            this.aggregateTargetsCheckBox.CheckedChanged += new System.EventHandler(this.aggregateTargetsCheckBox_CheckedChanged);
+            // 
+            // tabControl
+            // 
+            this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.tabControl.Controls.Add(this.byTargetTabPage);
-      this.tabControl.Controls.Add(this.byCostTabPage);
-      this.tabControl.Controls.Add(this.byTableTabPage);
-      this.tabControl.Location = new System.Drawing.Point(0, 84);
-      this.tabControl.Name = "tabControl";
-      this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(654, 413);
-      this.tabControl.TabIndex = 6;
-      // 
-      // byTargetTabPage
-      // 
-      this.byTargetTabPage.Controls.Add(this.targetChart);
-      this.byTargetTabPage.Controls.Add(this.boundShadingCheckBox);
-      this.byTargetTabPage.Controls.Add(this.targetLogScalingCheckBox);
-      this.byTargetTabPage.Controls.Add(this.targetsLabel);
-      this.byTargetTabPage.Controls.Add(this.aggregateTargetsCheckBox);
-      this.byTargetTabPage.Controls.Add(this.targetsTextBox);
-      this.byTargetTabPage.Controls.Add(this.generateTargetsButton);
-      this.byTargetTabPage.Controls.Add(this.addTargetsAsResultButton);
-      this.byTargetTabPage.Location = new System.Drawing.Point(4, 22);
-      this.byTargetTabPage.Name = "byTargetTabPage";
-      this.byTargetTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.byTargetTabPage.Size = new System.Drawing.Size(646, 387);
-      this.byTargetTabPage.TabIndex = 0;
-      this.byTargetTabPage.Text = "Performance by Target";
-      this.byTargetTabPage.UseVisualStyleBackColor = true;
-      // 
-      // targetChart
-      // 
-      this.targetChart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            this.tabControl.Controls.Add(this.byTargetTabPage);
+            this.tabControl.Controls.Add(this.byCostTabPage);
+            this.tabControl.Controls.Add(this.byTableTabPage);
+            this.tabControl.Location = new System.Drawing.Point(0, 84);
+            this.tabControl.Name = "tabControl";
+            this.tabControl.SelectedIndex = 0;
+            this.tabControl.Size = new System.Drawing.Size(654, 413);
+            this.tabControl.TabIndex = 6;
+            // 
+            // byTargetTabPage
+            // 
+            this.byTargetTabPage.Controls.Add(this.targetChart);
+            this.byTargetTabPage.Controls.Add(this.boundShadingCheckBox);
+            this.byTargetTabPage.Controls.Add(this.targetLogScalingCheckBox);
+            this.byTargetTabPage.Controls.Add(this.targetsLabel);
+            this.byTargetTabPage.Controls.Add(this.aggregateTargetsCheckBox);
+            this.byTargetTabPage.Controls.Add(this.targetsTextBox);
+            this.byTargetTabPage.Controls.Add(this.generateTargetsButton);
+            this.byTargetTabPage.Controls.Add(this.addTargetsAsResultButton);
+            this.byTargetTabPage.Location = new System.Drawing.Point(4, 22);
+            this.byTargetTabPage.Name = "byTargetTabPage";
+            this.byTargetTabPage.Padding = new System.Windows.Forms.Padding(3);
+            this.byTargetTabPage.Size = new System.Drawing.Size(646, 387);
+            this.byTargetTabPage.TabIndex = 0;
+            this.byTargetTabPage.Text = "Performance by Target";
+            this.byTargetTabPage.UseVisualStyleBackColor = true;
+            // 
+            // targetChart
+            // 
+            this.targetChart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      chartArea1.AxisX.IsStartedFromZero = false;
-      chartArea1.AxisX.MinorGrid.Enabled = true;
-      chartArea1.AxisX.MinorGrid.LineColor = System.Drawing.Color.WhiteSmoke;
-      chartArea1.AxisX.MinorGrid.LineDashStyle = System.Windows.Forms.DataVisualization.Charting.ChartDashStyle.Dash;
-      chartArea1.AxisY.Maximum = 1D;
-      chartArea1.AxisY.Minimum = 0D;
-      chartArea1.AxisY.MinorGrid.Enabled = true;
-      chartArea1.AxisY.MinorGrid.LineColor = System.Drawing.Color.WhiteSmoke;
-      chartArea1.AxisY.MinorGrid.LineDashStyle = System.Windows.Forms.DataVisualization.Charting.ChartDashStyle.Dash;
-      chartArea1.Name = "ChartArea1";
-      this.targetChart.ChartAreas.Add(chartArea1);
-      legend1.Alignment = System.Drawing.StringAlignment.Center;
-      legend1.Docking = System.Windows.Forms.DataVisualization.Charting.Docking.Top;
-      legend1.Name = "Legend1";
-      this.targetChart.Legends.Add(legend1);
-      this.targetChart.Location = new System.Drawing.Point(6, 34);
-      this.targetChart.Name = "targetChart";
-      this.targetChart.Size = new System.Drawing.Size(634, 324);
-      this.targetChart.SuppressExceptions = true;
-      this.targetChart.TabIndex = 7;
-      this.targetChart.Text = "enhancedChart1";
-      this.targetChart.CustomizeLegend += new System.EventHandler<System.Windows.Forms.DataVisualization.Charting.CustomizeLegendEventArgs>(this.chart_CustomizeLegend);
-      this.targetChart.MouseDown += new System.Windows.Forms.MouseEventHandler(this.chart_MouseDown);
-      this.targetChart.MouseMove += new System.Windows.Forms.MouseEventHandler(this.chart_MouseMove);
-      // 
-      // boundShadingCheckBox
-      // 
-      this.boundShadingCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.boundShadingCheckBox.AutoSize = true;
-      this.boundShadingCheckBox.Checked = true;
-      this.boundShadingCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
-      this.boundShadingCheckBox.Location = new System.Drawing.Point(127, 364);
-      this.boundShadingCheckBox.Name = "boundShadingCheckBox";
-      this.boundShadingCheckBox.Size = new System.Drawing.Size(96, 17);
-      this.boundShadingCheckBox.TabIndex = 6;
-      this.boundShadingCheckBox.Text = "bound shading";
-      this.boundShadingCheckBox.UseVisualStyleBackColor = true;
-      this.boundShadingCheckBox.CheckedChanged += new System.EventHandler(this.boundShadingCheckBox_CheckedChanged);
-      // 
-      // byCostTabPage
-      // 
-      this.byCostTabPage.Controls.Add(this.byCostViewHost);
-      this.byCostTabPage.Controls.Add(this.budgetLogScalingCheckBox);
-      this.byCostTabPage.Controls.Add(this.eachOrAllBudgetsCheckBox);
-      this.byCostTabPage.Controls.Add(this.generateBudgetsButton);
-      this.byCostTabPage.Controls.Add(this.budgetsLabel);
-      this.byCostTabPage.Controls.Add(this.addBudgetsAsResultButton);
-      this.byCostTabPage.Controls.Add(this.budgetsTextBox);
-      this.byCostTabPage.Location = new System.Drawing.Point(4, 22);
-      this.byCostTabPage.Name = "byCostTabPage";
-      this.byCostTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.byCostTabPage.Size = new System.Drawing.Size(646, 387);
-      this.byCostTabPage.TabIndex = 1;
-      this.byCostTabPage.Text = "Performance by Cost";
-      this.byCostTabPage.UseVisualStyleBackColor = true;
-      // 
-      // byCostViewHost
-      // 
-      this.byCostViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            chartArea2.AxisX.IsStartedFromZero = false;
+            chartArea2.AxisX.MinorGrid.Enabled = true;
+            chartArea2.AxisX.MinorGrid.LineColor = System.Drawing.Color.WhiteSmoke;
+            chartArea2.AxisX.MinorGrid.LineDashStyle = System.Windows.Forms.DataVisualization.Charting.ChartDashStyle.Dash;
+            chartArea2.AxisY.Maximum = 1D;
+            chartArea2.AxisY.Minimum = 0D;
+            chartArea2.AxisY.MinorGrid.Enabled = true;
+            chartArea2.AxisY.MinorGrid.LineColor = System.Drawing.Color.WhiteSmoke;
+            chartArea2.AxisY.MinorGrid.LineDashStyle = System.Windows.Forms.DataVisualization.Charting.ChartDashStyle.Dash;
+            chartArea2.Name = "ChartArea1";
+            this.targetChart.ChartAreas.Add(chartArea2);
+            legend2.Alignment = System.Drawing.StringAlignment.Center;
+            legend2.Docking = System.Windows.Forms.DataVisualization.Charting.Docking.Top;
+            legend2.Name = "Legend1";
+            this.targetChart.Legends.Add(legend2);
+            this.targetChart.Location = new System.Drawing.Point(6, 34);
+            this.targetChart.Name = "targetChart";
+            this.targetChart.Size = new System.Drawing.Size(634, 324);
+            this.targetChart.SuppressExceptions = true;
+            this.targetChart.TabIndex = 7;
+            this.targetChart.Text = "enhancedChart1";
+            this.targetChart.CustomizeLegend += new System.EventHandler<System.Windows.Forms.DataVisualization.Charting.CustomizeLegendEventArgs>(this.chart_CustomizeLegend);
+            this.targetChart.MouseDown += new System.Windows.Forms.MouseEventHandler(this.chart_MouseDown);
+            this.targetChart.MouseMove += new System.Windows.Forms.MouseEventHandler(this.chart_MouseMove);
+            // 
+            // boundShadingCheckBox
+            // 
+            this.boundShadingCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.boundShadingCheckBox.AutoSize = true;
+            this.boundShadingCheckBox.Checked = true;
+            this.boundShadingCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
+            this.boundShadingCheckBox.Location = new System.Drawing.Point(127, 364);
+            this.boundShadingCheckBox.Name = "boundShadingCheckBox";
+            this.boundShadingCheckBox.Size = new System.Drawing.Size(96, 17);
+            this.boundShadingCheckBox.TabIndex = 6;
+            this.boundShadingCheckBox.Text = "bound shading";
+            this.boundShadingCheckBox.UseVisualStyleBackColor = true;
+            this.boundShadingCheckBox.CheckedChanged += new System.EventHandler(this.boundShadingCheckBox_CheckedChanged);
+            // 
+            // byCostTabPage
+            // 
+            this.byCostTabPage.Controls.Add(this.byCostViewHost);
+            this.byCostTabPage.Controls.Add(this.budgetLogScalingCheckBox);
+            this.byCostTabPage.Controls.Add(this.eachOrAllBudgetsCheckBox);
+            this.byCostTabPage.Controls.Add(this.generateBudgetsButton);
+            this.byCostTabPage.Controls.Add(this.budgetsLabel);
+            this.byCostTabPage.Controls.Add(this.addBudgetsAsResultButton);
+            this.byCostTabPage.Controls.Add(this.budgetsTextBox);
+            this.byCostTabPage.Location = new System.Drawing.Point(4, 22);
+            this.byCostTabPage.Name = "byCostTabPage";
+            this.byCostTabPage.Padding = new System.Windows.Forms.Padding(3);
+            this.byCostTabPage.Size = new System.Drawing.Size(646, 387);
+            this.byCostTabPage.TabIndex = 1;
+            this.byCostTabPage.Text = "Performance by Cost";
+            this.byCostTabPage.UseVisualStyleBackColor = true;
+            // 
+            // byCostViewHost
+            // 
+            this.byCostViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.byCostViewHost.Caption = "View";
-      this.byCostViewHost.Content = null;
-      this.byCostViewHost.Enabled = false;
-      this.byCostViewHost.Location = new System.Drawing.Point(6, 34);
-      this.byCostViewHost.Name = "byCostViewHost";
-      this.byCostViewHost.ReadOnly = false;
-      this.byCostViewHost.Size = new System.Drawing.Size(634, 324);
-      this.byCostViewHost.TabIndex = 12;
-      this.byCostViewHost.ViewsLabelVisible = true;
-      this.byCostViewHost.ViewType = null;
-      // 
-      // budgetLogScalingCheckBox
-      // 
-      this.budgetLogScalingCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.budgetLogScalingCheckBox.AutoSize = true;
-      this.budgetLogScalingCheckBox.Location = new System.Drawing.Point(9, 364);
-      this.budgetLogScalingCheckBox.Name = "budgetLogScalingCheckBox";
-      this.budgetLogScalingCheckBox.Size = new System.Drawing.Size(112, 17);
-      this.budgetLogScalingCheckBox.TabIndex = 11;
-      this.budgetLogScalingCheckBox.Text = "logarithmic scaling";
-      this.budgetLogScalingCheckBox.UseVisualStyleBackColor = true;
-      this.budgetLogScalingCheckBox.CheckedChanged += new System.EventHandler(this.logScalingCheckBox_CheckedChanged);
-      // 
-      // eachOrAllBudgetsCheckBox
-      // 
-      this.eachOrAllBudgetsCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.eachOrAllBudgetsCheckBox.AutoSize = true;
-      this.eachOrAllBudgetsCheckBox.Location = new System.Drawing.Point(414, 10);
-      this.eachOrAllBudgetsCheckBox.Name = "eachOrAllBudgetsCheckBox";
-      this.eachOrAllBudgetsCheckBox.Size = new System.Drawing.Size(36, 17);
-      this.eachOrAllBudgetsCheckBox.TabIndex = 10;
-      this.eachOrAllBudgetsCheckBox.Text = "all";
-      this.eachOrAllBudgetsCheckBox.UseVisualStyleBackColor = true;
-      this.eachOrAllBudgetsCheckBox.CheckedChanged += new System.EventHandler(this.eachOrAllBudgetsCheckBox_CheckedChanged);
-      // 
-      // generateBudgetsButton
-      // 
-      this.generateBudgetsButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.generateBudgetsButton.Location = new System.Drawing.Point(456, 6);
-      this.generateBudgetsButton.Name = "generateBudgetsButton";
-      this.generateBudgetsButton.Size = new System.Drawing.Size(89, 23);
-      this.generateBudgetsButton.TabIndex = 9;
-      this.generateBudgetsButton.Text = "Generate...";
-      this.generateBudgetsButton.UseVisualStyleBackColor = true;
-      this.generateBudgetsButton.Click += new System.EventHandler(this.generateBudgetsButton_Click);
-      // 
-      // byTableTabPage
-      // 
-      this.byTableTabPage.Controls.Add(this.ertTableView);
-      this.byTableTabPage.Location = new System.Drawing.Point(4, 22);
-      this.byTableTabPage.Name = "byTableTabPage";
-      this.byTableTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.byTableTabPage.Size = new System.Drawing.Size(646, 387);
-      this.byTableTabPage.TabIndex = 2;
-      this.byTableTabPage.Text = "Expected Runtime Tables";
-      this.byTableTabPage.UseVisualStyleBackColor = true;
-      // 
-      // ertTableView
-      // 
-      this.ertTableView.Caption = "StringConvertibleMatrix View";
-      this.ertTableView.Content = null;
-      this.ertTableView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.ertTableView.Location = new System.Drawing.Point(3, 3);
-      this.ertTableView.Name = "ertTableView";
-      this.ertTableView.ReadOnly = false;
-      this.ertTableView.ShowRowsAndColumnsTextBox = false;
-      this.ertTableView.ShowStatisticalInformation = false;
-      this.ertTableView.Size = new System.Drawing.Size(640, 381);
-      this.ertTableView.TabIndex = 0;
-      // 
-      // problemComboBox
-      // 
-      this.problemComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.problemComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-      this.problemComboBox.FormattingEnabled = true;
-      this.problemComboBox.Location = new System.Drawing.Point(69, 30);
-      this.problemComboBox.Name = "problemComboBox";
-      this.problemComboBox.Size = new System.Drawing.Size(582, 21);
-      this.problemComboBox.TabIndex = 3;
-      this.problemComboBox.SelectedIndexChanged += new System.EventHandler(this.problemComboBox_SelectedIndexChanged);
-      // 
-      // problemLabel
-      // 
-      this.problemLabel.AutoSize = true;
-      this.problemLabel.Location = new System.Drawing.Point(3, 33);
-      this.problemLabel.Name = "problemLabel";
-      this.problemLabel.Size = new System.Drawing.Size(48, 13);
-      this.problemLabel.TabIndex = 2;
-      this.problemLabel.Text = "Problem:";
-      // 
-      // RunCollectionRLDView
-      // 
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
-      this.Controls.Add(this.tabControl);
-      this.Controls.Add(this.groupComboBox);
-      this.Controls.Add(this.groupLabel);
-      this.Controls.Add(this.problemLabel);
-      this.Controls.Add(this.dataTableLabel);
-      this.Controls.Add(this.problemComboBox);
-      this.Controls.Add(this.dataTableComboBox);
-      this.Name = "RunCollectionRLDView";
-      this.Size = new System.Drawing.Size(654, 497);
-      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
-      this.tabControl.ResumeLayout(false);
-      this.byTargetTabPage.ResumeLayout(false);
-      this.byTargetTabPage.PerformLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.targetChart)).EndInit();
-      this.byCostTabPage.ResumeLayout(false);
-      this.byCostTabPage.PerformLayout();
-      this.byTableTabPage.ResumeLayout(false);
-      this.ResumeLayout(false);
-      this.PerformLayout();
+            this.byCostViewHost.Caption = "View";
+            this.byCostViewHost.Content = null;
+            this.byCostViewHost.Enabled = false;
+            this.byCostViewHost.Location = new System.Drawing.Point(6, 34);
+            this.byCostViewHost.Name = "byCostViewHost";
+            this.byCostViewHost.ReadOnly = false;
+            this.byCostViewHost.Size = new System.Drawing.Size(634, 324);
+            this.byCostViewHost.TabIndex = 12;
+            this.byCostViewHost.ViewsLabelVisible = true;
+            this.byCostViewHost.ViewType = null;
+            // 
+            // budgetLogScalingCheckBox
+            // 
+            this.budgetLogScalingCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.budgetLogScalingCheckBox.AutoSize = true;
+            this.budgetLogScalingCheckBox.Location = new System.Drawing.Point(9, 364);
+            this.budgetLogScalingCheckBox.Name = "budgetLogScalingCheckBox";
+            this.budgetLogScalingCheckBox.Size = new System.Drawing.Size(112, 17);
+            this.budgetLogScalingCheckBox.TabIndex = 11;
+            this.budgetLogScalingCheckBox.Text = "logarithmic scaling";
+            this.budgetLogScalingCheckBox.UseVisualStyleBackColor = true;
+            this.budgetLogScalingCheckBox.CheckedChanged += new System.EventHandler(this.logScalingCheckBox_CheckedChanged);
+            // 
+            // eachOrAllBudgetsCheckBox
+            // 
+            this.eachOrAllBudgetsCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+            this.eachOrAllBudgetsCheckBox.AutoSize = true;
+            this.eachOrAllBudgetsCheckBox.Location = new System.Drawing.Point(414, 10);
+            this.eachOrAllBudgetsCheckBox.Name = "eachOrAllBudgetsCheckBox";
+            this.eachOrAllBudgetsCheckBox.Size = new System.Drawing.Size(36, 17);
+            this.eachOrAllBudgetsCheckBox.TabIndex = 10;
+            this.eachOrAllBudgetsCheckBox.Text = "all";
+            this.eachOrAllBudgetsCheckBox.UseVisualStyleBackColor = true;
+            this.eachOrAllBudgetsCheckBox.CheckedChanged += new System.EventHandler(this.eachOrAllBudgetsCheckBox_CheckedChanged);
+            // 
+            // generateBudgetsButton
+            // 
+            this.generateBudgetsButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+            this.generateBudgetsButton.Location = new System.Drawing.Point(456, 6);
+            this.generateBudgetsButton.Name = "generateBudgetsButton";
+            this.generateBudgetsButton.Size = new System.Drawing.Size(89, 23);
+            this.generateBudgetsButton.TabIndex = 9;
+            this.generateBudgetsButton.Text = "Generate...";
+            this.generateBudgetsButton.UseVisualStyleBackColor = true;
+            this.generateBudgetsButton.Click += new System.EventHandler(this.generateBudgetsButton_Click);
+            // 
+            // byTableTabPage
+            // 
+            this.byTableTabPage.Controls.Add(this.ertTableView);
+            this.byTableTabPage.Location = new System.Drawing.Point(4, 22);
+            this.byTableTabPage.Name = "byTableTabPage";
+            this.byTableTabPage.Padding = new System.Windows.Forms.Padding(3);
+            this.byTableTabPage.Size = new System.Drawing.Size(646, 387);
+            this.byTableTabPage.TabIndex = 2;
+            this.byTableTabPage.Text = "Expected Runtime Tables";
+            this.byTableTabPage.UseVisualStyleBackColor = true;
+            // 
+            // ertTableView
+            // 
+            this.ertTableView.Caption = "StringConvertibleMatrix View";
+            this.ertTableView.Content = null;
+            this.ertTableView.Dock = System.Windows.Forms.DockStyle.Fill;
+            this.ertTableView.Location = new System.Drawing.Point(3, 3);
+            this.ertTableView.Name = "ertTableView";
+            this.ertTableView.ReadOnly = false;
+            this.ertTableView.ShowRowsAndColumnsTextBox = false;
+            this.ertTableView.ShowStatisticalInformation = false;
+            this.ertTableView.Size = new System.Drawing.Size(640, 381);
+            this.ertTableView.TabIndex = 0;
+            // 
+            // problemComboBox
+            // 
+            this.problemComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.problemComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.problemComboBox.FormattingEnabled = true;
+            this.problemComboBox.Location = new System.Drawing.Point(69, 30);
+            this.problemComboBox.Name = "problemComboBox";
+            this.problemComboBox.Size = new System.Drawing.Size(582, 21);
+            this.problemComboBox.TabIndex = 3;
+            this.problemComboBox.SelectedIndexChanged += new System.EventHandler(this.problemComboBox_SelectedIndexChanged);
+            // 
+            // problemLabel
+            // 
+            this.problemLabel.AutoSize = true;
+            this.problemLabel.Location = new System.Drawing.Point(3, 33);
+            this.problemLabel.Name = "problemLabel";
+            this.problemLabel.Size = new System.Drawing.Size(48, 13);
+            this.problemLabel.TabIndex = 2;
+            this.problemLabel.Text = "Problem:";
+            // 
+            // RunCollectionRLDView
+            // 
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
+            this.Controls.Add(this.tabControl);
+            this.Controls.Add(this.groupComboBox);
+            this.Controls.Add(this.groupLabel);
+            this.Controls.Add(this.problemLabel);
+            this.Controls.Add(this.dataTableLabel);
+            this.Controls.Add(this.problemComboBox);
+            this.Controls.Add(this.dataTableComboBox);
+            this.Name = "RunCollectionRLDView";
+            this.Size = new System.Drawing.Size(654, 497);
+            ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
+            this.tabControl.ResumeLayout(false);
+            this.byTargetTabPage.ResumeLayout(false);
+            this.byTargetTabPage.PerformLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.targetChart)).EndInit();
+            this.byCostTabPage.ResumeLayout(false);
+            this.byCostTabPage.PerformLayout();
+            this.byTableTabPage.ResumeLayout(false);
+            this.ResumeLayout(false);
+            this.PerformLayout();
 
     }
Index: branches/ScopedBasicAlgorithm/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionRLDView.cs
===================================================================
--- branches/ScopedBasicAlgorithm/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionRLDView.cs	(revision 14419)
+++ branches/ScopedBasicAlgorithm/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionRLDView.cs	(revision 14420)
@@ -407,5 +407,6 @@
             IsVisibleInLegend = false,
             ChartType = SeriesChartType.Range,
-            Color = Color.FromArgb(32, colors[colorCount])
+            Color = Color.FromArgb(32, colors[colorCount]),
+            YValuesPerPoint = 2
           };
 
Index: branches/ScopedBasicAlgorithm/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionRLDView.resx
===================================================================
--- branches/ScopedBasicAlgorithm/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionRLDView.resx	(revision 14420)
+++ branches/ScopedBasicAlgorithm/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionRLDView.resx	(revision 14420)
@@ -0,0 +1,129 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <metadata name="toolTip.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>140, 17</value>
+  </metadata>
+  <metadata name="errorProvider.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>17, 17</value>
+  </metadata>
+  <metadata name="toolTip.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>140, 17</value>
+  </metadata>
+</root>
